Loading...
Searching...
No Matches
mbedtls_dtls_srtp_info_t Struct Reference

`#include <ssl.h>`

## Data Fields

mbedtls_ssl_srtp_profile | private_chosen_dtls_srtp_profile
uint16_t | private_mki_len
unsigned char | private_mki_value [MBEDTLS_TLS_SRTP_MAX_MKI_LENGTH]

## Detailed Description

Definition at line 1245 of file ssl.h.

## Field Documentation

## private_chosen_dtls_srtp_profile

mbedtls_ssl_srtp_profile mbedtls_dtls_srtp_info_t::private_chosen_dtls_srtp_profile

The SRTP profile that was negotiated.

Definition at line 1247 of file ssl.h.

## private_mki_len

uint16_t mbedtls_dtls_srtp_info_t::private_mki_len

The length of mki_value.

Definition at line 1249 of file ssl.h.

## private_mki_value

unsigned char mbedtls_dtls_srtp_info_t::private_mki_value[MBEDTLS_TLS_SRTP_MAX_MKI_LENGTH]

The mki_value used, with max size of 256 bytes.

Definition at line 1251 of file ssl.h.

The documentation for this struct was generated from the following file:

- ssl.h